%define module_name Crypt-OpenSSL-PKCS12
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(CPAN.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Coverage.pm) perl(Test/More.pm) perl(Test/Pod/Coverage.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators libssl-devel

Name: perl-%module_name
Version: 1.9
Release: alt2
Summary: Perl extension to OpenSSL's PKCS12 API.
Group: Development/Perl
License: perl
URL: https://github.com/dsully/perl-crypt-openssl-pkcs12

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JONASBN/%{module_name}-%{version}.tar.gz

%description
This implements a small bit of OpenSSL's PKCS12 API.


%prep
%setup -q -n %{module_name}-%{version}
rm -rf inc

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes.md TODO
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.9-alt2
- rebuild with perl 5.38

* Mon Nov 22 2021 Igor Vlasenko <viy@altlinux.ru> 1.9-alt1
- updated by package builder

* Sun Nov 14 2021 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.7-alt2
- rebuild with perl 5.34.0

* Wed May 26 2021 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1
- updated by package builder

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.3-alt2
- rebuild with perl 5.30

* Fri Jun 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.2-alt1.1
- rebuild with perl 5.28.1

* Tue Oct 30 2018 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1
- regenerated from template by package builder

* Fri Oct 26 2018 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1
- regenerated from template by package builder

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- regenerated from template by package builder

* Wed Mar 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.8-alt2
- rebuild with perl 5.26

* Wed Nov 22 2017 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.7-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.7-alt2
- rebuild to get rid of unmets

* Mon Oct 27 2014 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1
- initial import by package builder

